Subject: Re: [PATCH v3 2/2] fsldma: Add DMA_SLAVE support

From: Dan Williams <[email-masked]>
Date: Wed, 24 Jun 2009 10:56:07 -0700

Dan Williams wrote:
> Kumar Gala wrote:
>>>> Kumar, Leo,
>>>>
>>>> Can I get your acked-by's for the current state of async_tx.git/ 
>>>> next?  I
>>>> just pushed out Ira's latest so it may take a moment to mirror out.
>>> Acked-by: Li Yang <[email-masked]>
>>>
>>> However, the addition of arch/powerpc/include/asm/fsldma.h still needs
>>> the ack from Kumar.  It doesn't seem to be a common practice though.
>> hmm, why are we moving fsldma.h?
> 
> There are now two fsldma.h files.
> 
> drivers/dma/fsldma.h: no changes, houses the private driver 
> implementation details.
> 
> arch/powerpc/include/asm/fsldma.h: adds some helper routines and 
> definitions for the DMA_SLAVE capability of the driver.  It defines an 
> interface for other drivers to use fsldma to initiate device-to-memory 
> dma.  Any drivers that use the interface will depend on CONFIG_FSL_DMA 
> hence placing this public header under arch/powerpc/include.
> 

Kumar?  Shall we push this decision off to 2.6.32, I would prefer not to 
as Ira had his initial patches available before the merge window opened?

Ira, aside from the pci read multiple patch are there any others that 
are suitable for 2.6.31 if the dma_slave implementation gets held back?

Thanks,
Dan